Group Details Private

publishers

Articles publishers

  • RE: fcm_push_icon.png

    @Bassie
    I checked cordova-plugin-fcm but I am not sure where exactly the icon files should be. The documentaion is not clear enough. So based on this answer, you can set the following configuration for the icon files:

    <platform name="android">   
        ...
        <resource-file src="www/res/mipmap-xxxhdpi/fcm_push_icon.png" target="res/mipmap-xxxhdpi/fcm_push_icon.png" />
        <resource-file src="www/res/mipmap-xxhdpi/fcm_push_icon.png" target="res/mipmap-xxhdpi/fcm_push_icon.png" />
        <resource-file src="www/res/mipmap-xhdpi/fcm_push_icon.png" target="res/mipmap-xhdpi/fcm_push_icon.png" />
        <resource-file src="www/res/mipmap-mdpi/fcm_push_icon.png" target="res/mipmap-mdpi/fcm_push_icon.png" />
        <resource-file src="www/res/mipmap-ldpi/fcm_push_icon.png" target="res/mipmap-ldpi/fcm_push_icon.png" />
        <resource-file src="www/res/mipmap-hdpi/fcm_push_icon.png" target="res/mipmap-hdpi/fcm_push_icon.png" />
        ...
    </platform>
    

    The above setting will place the icons at the target location during the build. You can extract APK file to see them.

    posted in Monaca Tools
  • RE: Err: Failed to unpack

    This error might be related to required minSdkVersion value. If you are using the latest version of the Wikitude plugin which requires minSdkVersion to be at least 19. By default with Cordova 7.1 project, minSdkVersion is set to 16. In this case, you can just change the minSdkVersion to 19 as shown below:

    <platform name="android">
            ...
            <preference name="android-minSdkVersion" value="19" />
            ...
    </platform>
    
    posted in Monaca Tools
  • RE: Accessing Vue-data while in $ons.notification

    @Bassie JavaScript issue: Use an arrow function instead. Normal functions create new contexts but arrow functions don’t.

    posted in Onsen UI
  • RE: Error: send EHOSTDOWN

    @rlam3 Is this the same question for this one?

    posted in Monaca Tools
  • RE: vue-onsenui-kitchensink not working with monaca debugger.

    @rlam3 Before running monaca debug command, you will need to generate the content for www folder first. Here are the steps to properly run vue-onsenui-kitchensink with Monaca Debugger:

    1. Navigate to the project folder.
    2. run npm install to install the dependencies.
    3. run npm run build to generate www folder which will be used for Monaca Debugger and Build server later.
    4. Now, everything is ready. You can run monaca debug.

    Hope this helps!

    posted in Monaca Tools
  • RE: Vue template help needed

    @Bassie Please refer to my reply in this thread.

    posted in Monaca Tools
  • RE: Start Build inactive and not responsive

    @Sravani Which browser are you using? Please make sure to use the latest Chrome version to ensure the proper operations with Monaca. The fact that you received the alert about reaching the maximum builds per day meant that your builds were actually triggered and processed. But somehow the build windows were failed to load. You can check your previous build history by going to Build --> Build History.

    posted in Monaca Tools
  • RE: React Native problem

    @Bassie Any transpilable projects such as VueJS, React & Angular2 are not applicable on Monaca Cloud IDE because transpiling feature is not available at the moment. You will need to use Monaca CLI in the meantimes. When you run monaca remote build command, the content of www folder of the project will be uploaded to the Cloud. In this case, you can only configure the app settings and build the app. You can’t edit the files in the IDE.

    Fortunately, the transpiling support will be released very soon. Please look forward to it!

    Regarding the Onsen UI components, you can either choose one of the available Onsen UI templates or add the Onsen UI library from the IDE itself (see the screenshot below).

    0_1521016282397_Screen Shot 2018-03-14 at 5.30.13 PM.png

    posted in Monaca Tools
  • RE: OnsenUI React + jQuery Touch Punch conflict.

    @Paweł-Wojtaszko There is currently a compatibility issue with some drag-related libs. Check this topic for more info https://community.onsen.io/topic/2989/unable-to-disable-ons-splitter-side-gesture-detector

    posted in Onsen UI
  • RE: Unable to disable ons-splitter-side Gesture Detector

    @CNaik Can you try without tappable and ripple effects? I’m not really sure why :confused:

    posted in Onsen UI